curl -X PATCH 'https://api.nuntly.com/broadcasts/bc_01kabn43yqyxn2bx4ve84mczd3' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.broadcasts.update('bc_01kabn43yqyxn2bx4ve84mczd3', {});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.broadcasts().update("bc_01kabn43yqyxn2bx4ve84mczd3", PatchBroadcastRequest.builder().build());import requests
url = "https://api.nuntly.com/broadcasts/{broadcastId}"
payload = {
"templateId": "tpl_01kabn43yqyxn2bx4ve84mczd3",
"from": "Tomlinson AI <ray@info.tomlinson.ai>",
"name": "<string>",
"subject": "Verify your email address",
"replyTo": "support@company.com",
"topicId": "tpc_01kabn43yqyxn2bx4ve84mczd3",
"segmentId": "seg_01kabn43yqyxn2bx4ve84mczd3",
"variables": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "em_01ka8k8s80gvx9604cn9am5st4"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Update Broadcast
Edit a draft or scheduled broadcast.
curl -X PATCH 'https://api.nuntly.com/broadcasts/bc_01kabn43yqyxn2bx4ve84mczd3' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.broadcasts.update('bc_01kabn43yqyxn2bx4ve84mczd3', {});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.broadcasts().update("bc_01kabn43yqyxn2bx4ve84mczd3", PatchBroadcastRequest.builder().build());import requests
url = "https://api.nuntly.com/broadcasts/{broadcastId}"
payload = {
"templateId": "tpl_01kabn43yqyxn2bx4ve84mczd3",
"from": "Tomlinson AI <ray@info.tomlinson.ai>",
"name": "<string>",
"subject": "Verify your email address",
"replyTo": "support@company.com",
"topicId": "tpc_01kabn43yqyxn2bx4ve84mczd3",
"segmentId": "seg_01kabn43yqyxn2bx4ve84mczd3",
"variables": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "em_01ka8k8s80gvx9604cn9am5st4"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Authorizations
Use an API key from https://nuntly.com/api-keys. Required on every endpoint.
Path Parameters
Body
Set to null to detach the template.
"tpl_01kabn43yqyxn2bx4ve84mczd3"
The sender address, on a verified domain.
"Tomlinson AI <ray@info.tomlinson.ai>"
Set to null to remove the name.
Set to null to fall back to the template version’s subject.
"Verify your email address"
The email address where replies should be sent. If a recipient replies, the response will go to this address instead of the sender's email address
"support@company.com"
Set to null to remove the topic.
"tpc_01kabn43yqyxn2bx4ve84mczd3"
Set to null to remove the segment.
"seg_01kabn43yqyxn2bx4ve84mczd3"
Replaces the stored values. Send {} to clear them.
Only draft is accepted.
draft, scheduled, queued, sending, sent, paused, failed Response
Successful response.
Show child attributes
Show child attributes
